Bug 246123 - [NEW PORT] games/libretro-fbneo: FBNeo - Final Burn Neo
Summary: [NEW PORT] games/libretro-fbneo: FBNeo - Final Burn Neo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://github.com/libretro/FBNeo
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 13:05 UTC by Daniel Menelkir
Modified: 2020-06-01 07:50 UTC (History)
2 users (show)

See Also:
menelkir: maintainer-feedback+


Attachments
libretro-fbneo.diff (3.50 KB, patch)
2020-05-02 13:05 UTC, Daniel Menelkir
no flags Details | Diff
libretro-fbneo-v2.diff (3.51 KB, patch)
2020-05-05 23:10 UTC, Daniel Menelkir
no flags Details | Diff
libretro-yabause-v3.diff (4.40 KB, patch)
2020-05-08 07:01 UTC, Daniel Menelkir
no flags Details | Diff
libretro-fbneo-v3.diff (3.50 KB, patch)
2020-05-21 11:10 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2020-05-02 13:05:17 UTC
Created attachment 214030 [details]
libretro-fbneo.diff

FBNeo is a fork of Final Burn Alpha with active and all-new development model.
Comment 1 Daniel Menelkir 2020-05-05 23:10:40 UTC
Created attachment 214179 [details]
libretro-fbneo-v2.diff

Changed the PORTVERSION and do-install to match bug #246067
Comment 2 Daniel Menelkir 2020-05-08 07:01:50 UTC
Created attachment 214266 [details]
libretro-yabause-v3.diff

Removed ${COREDIR} variable.
Comment 3 Loïc Bartoletti freebsd_committer 2020-05-21 06:02:08 UTC
Can you attach the patch of fbneo please? ;)
Comment 4 Daniel Menelkir 2020-05-21 11:10:12 UTC
Created attachment 214717 [details]
libretro-fbneo-v3.diff

(In reply to Loïc Bartoletti from comment #3)

Oops. My bad.
Comment 5 commit-hook freebsd_committer 2020-06-01 07:47:48 UTC
A commit references this bug:

Author: lbartoletti
Date: Mon Jun  1 07:47:28 UTC 2020
New revision: 537462
URL: https://svnweb.freebsd.org/changeset/ports/537462

Log:
  [NEW PORT] games/libretro-fbneo: FBNeo - Final Burn Neo

  FBNeo is a fork of Final Burn Alpha with active and all-new development model.

  PR:		246123
  Submitted by:	menelkir@itroll.org
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24969

Changes:
  head/games/Makefile
  head/games/libretro-fbneo/
  head/games/libretro-fbneo/Makefile
  head/games/libretro-fbneo/distinfo
  head/games/libretro-fbneo/files/
  head/games/libretro-fbneo/files/patch-Makefile.freebsd
  head/games/libretro-fbneo/pkg-descr
Comment 6 Loïc Bartoletti freebsd_committer 2020-06-01 07:50:19 UTC
Committed, thanks!